## org.eclipse.emf.codegen.jet
Class JETExpressionGenerator

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETScriptletGenerator
          org.eclipse.emf.codegen.jet.JETExpressionGenerator

All Implemented Interfaces:
  JETGenerator

    public class JETExpressionGenerator

extends JETScriptletGenerator

Generator to deal with JSP expressions: <%= ... %> stuff.

Field Summary
`protected static java.lang.String` `FUNCTION_CALL_BEGIN`
`protected static java.lang.String` `FUNCTION_CALL_END`

Fields inherited from class org.eclipse.emf.codegen.jet.JETScriptletGenerator
`chars`

Constructor Summary
`JETExpressionGenerator(char[] chars)`

Method Summary
`java.lang.String` `generate()`

Methods inherited from class org.eclipse.emf.codegen.jet.JETScriptletGenerator
`removeQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNCTION_CALL_BEGIN

    protected static final java.lang.String FUNCTION_CALL_BEGIN

See Also:
  Constant Field Values

### FUNCTION_CALL_END

    protected static final java.lang.String FUNCTION_CALL_END

See Also:
  Constant Field Values

Constructor Detail

### JETExpressionGenerator

    public JETExpressionGenerator(char[] chars)

Method Detail

### generate

    public java.lang.String generate()

  Specified by:
    `generate` in interface `JETGenerator`
  Overrides:
    `generate` in class `JETScriptletGenerator`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.